Contact Support

Browser support & system requirements

JobScore is a web-based SaaS (software as a service) application that runs in web browsers.

JobScore only supports the web browsers listed below. We only support stable release browser versions, not Alpha, Beta, Nightly or Development builds. This applies to all browsers, regardless of your operating system.

For Employers: Browsers supported for the JobScore Employer facing ATS.

  • Google Chrome: latest two versions (recommended)
  • Apple Safari: latest two versions
  • Mozilla Firefox: latest two versions
  • Microsoft Edge: latest two versions
  • Microsoft Internet Explorer: 11
  • Safari Mobile: latest two versions
  • Google Chrome on Android: latest two versions

For Job Seekers: Browsers supported for the Careers Site, Apply Flow and JobSeeker Dashboard.

  • Google Chrome: latest two versions (recommended)
  • Apple Safari: latest two versions
  • Mozilla Firefox: latest two versions
  • Microsoft Edge: latest two versions
  • Microsoft Internet Explorer: 11
  • Safari Mobile: latest two versions
  • Google Chrome on Android: latest two versions

Browser Configuration Requirements:

The following must be active in order for JobScore to work properly. All of these settings are already "on" by default on modern browsers.

  • JavaScript enabled
  • Cookies enabled
  • localStorage (DOM Storage) enabled
  • Security protocol newer than SSLv3
  • Recommended: if you're using an AdBlocker, whitelist *.jobscore.com. We do not run any advertisements in any of our products.

Note regarding Microsoft Internet Explorer 9 and 10 support:

Internet Explorer 9 & 10, released by Microsoft in March 2011 and September 2012 respectively, are no longer be supported by JobScore. Our end of support coincides with Microsoft's own policy, as outlined in their Internet Explorer Lifecycle Policy FAQ.


If you are having trouble with one of the browsers listed above, please make sure your desktop or mobile device meets or exceeds the minimum hardware requirements for your operating system (Windows or Mac OS X for Desktop, Android or iOS for mobile). Please visit the Microsoft, Google or Apple websites for additional information about hardware requirements. 

Comments

Powered by Zendesk